## festival 2.1~release

=== Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                      Copyright (c) 1996-2002                          ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##                The Festival Speech Synthesis System                   ##
##                                                                       ##
##       Authors:  Alan W Black, Paul Taylor, Richard Caley and others   ##
##          Date:  January 2003                                          ##
##                                                                       ## 
###########################################################################
TOP=.
DIRNAME=.
BUILD_DIRS = src lib examples bin doc
ALL_DIRS=config $(BUILD_DIRS) testsuite
CONFIG=configure configure.in config.sub config.guess \
       missing install-sh mkinstalldirs
FILES = Makefile README ACKNOWLEDGMENTS NEWS COPYING INSTALL $(CONFIG)
VERSION=$(PROJECT_VERSION)

LOCAL_CLEAN= Templates.DB

ALL = .config_error $(BUILD_DIRS)

# Try and say if config hasn't been created
config_dummy := $(shell test -f config/config || ( echo '*** '; echo '*** Making default config file ***'; echo '*** '; ./configure; )  >&2)

# force a check on the system file
system_dummy := $(shell $(MAKE) -C $(TOP)/config -f make_system.mak TOP=.. system.mak)

include $(TOP)/config/common_make_rules

backup:  time-stamp
	 @ $(RM) -f $(TOP)/FileList
	 @ $(MAKE) file-list
	 @ sed 's/^\.\///' <FileList | sed 's/^/festival\//' >.file-list-all
	 @ (cd ..; tar cvf - `cat festival/.file-list-all` festival/.time-stamp | gzip > festival/festival-$(VERSION)-$(PROJECT_STATE).tar.gz )
	 @ $(RM) -f $(TOP)/.file-list-all
	 @ ls -l festival-$(VERSION)-$(PROJECT_STATE).tar.gz

time-stamp :
	@ echo festival $(VERSION) >.time-stamp
#    Too many randomly different unices out there ....
#	@ echo `id -u -n`@`hostname`.`domainname` >>.time-stamp
	@ date >>.time-stamp

test:
	@ $(MAKE) --no-print-directory -C testsuite test

config/config: config/config.in config.status
	./config.status

configure: configure.in
	autoconf

include $(EST)/config/rules/top_level.mak
include $(EST)/config/rules/install.mak

=== examples/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=examples
BUILD_DIRS=
ALL_DIRS=$(BUILD_DIRS) songs

EXTEXTS = intro.text spintro.text benchmark.text
EXAMPLES = webdemo.scm ex1.email ex1.ogi example.sable example2.sable \
           tobi.stml example.th example.apml
SCRIPTS = saytime.sh text2pos.sh latest.sh \
           scfg_parse_text.sh text2wave.sh make_utts.sh dumpfeats.sh \
           durmeanstd.sh powmeanstd.sh run-festival-script.sh
SHELL_SCRIPTS = benchmark festival_client.pl
SCMS = toksearch.scm th-mode.scm addr-mode.scm
SAMPLEC = festival_client.c festival_client.h
OTHERS = apml.dtd
FILES=Makefile $(EXAMPLES) $(EXTEXTS) $(SCRIPTS) $(SHELL_SCRIPTS) $(SCMS) $(SAMPLEC) $(OTHERS) speech_pm_1.0.tar

ALL = $(SCRIPTS:.sh=)
LOCAL_CLEAN = $(SCRIPTS:.sh=)

include $(TOP)/config/common_make_rules

$(ALL) : % : %.sh
	rm -f $@
	@echo "#!/bin/sh" >$@
	@echo "\"true\" ; exec "$(FESTIVAL_HOME)/bin/festival --script '$$0 $$*' >>$@
	cat $< >>$@
	chmod +x $@

festival_client: festival_client.o festival_client.h
	$(LINK_COMMAND) -o festival_client festival_client.o $(LIBS)

festival_client.o: festival_client.c festival_client.h
	$(CC_COMMAND) -DSTANDALONE festival_client.c -o festival_client.o

# Do this manually to make sure Festival.tar (perl module) is up to date.

speech_pm_1.0.tar: $(wildcard speech_pm_1.0/*) $(wildcard  speech_pm_1.0/*/*) $(wildcard  speech_pm_1.0/*/*/*)
	-chmod +w speech_pm_1.0.tar
	tar cvf speech_pm_1.0.tar `cat speech_pm_1.0/MANIFEST|sed -e 's/^/speech_pm_1.0\//'`

=== src/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##                Makefile for main src directory                        ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=src
LIB_BUILD_DIRS = arch modules 
BUILD_DIRS = $(LIB_BUILD_DIRS) main 
ALL_DIRS = include $(BUILD_DIRS) lib scripts

FILES=Makefile

ALL = .sub_directories

include $(TOP)/config/common_make_rules

tags:
	@ rm -f $(TOP)/FileList
	@ $(MAKE) --no-print-directory file-list
	@ etags `grep "src/.*[ch]c*$$" $(TOP)/FileList | sed 's/src\///'`

=== config/systems/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=config/systems

SYSTEMS =					\
	Linux.mak				\
	RedHatLinux.mak				\
	DebianGNULinux.mak			\
	alpha_Linux.mak				\
	alpha_OSF1V4.0.mak			\
	alpha_RedHatLinux.mak			\
	hp9000_HP-UX.mak			\
	hp9000_HP-UXB.10.mak			\
	ip_IRIX.mak				\
	ip_IRIX5.3.mak				\
	ip_IRIX6.3.mak				\
	ip_IRIX6.4.mak				\
	ip_IRIX646.4.mak			\
	ix86_CYGWIN1.0.mak			\
	ix86_CYGWIN1.1.mak			\
	ix86_CYGWIN1.3.mak			\
	ix86_CYGWIN1.4.mak			\
	ix86_CYGWIN1.5.mak			\
	ix86_CYGWIN1.7.mak			\
	ix86_CYGWIN20.1.mak			\
	ix86_CYGWIN32.mak			\
	ix86_CYGWIN324.0.mak			\
	ix86_Darwin.mak			\
	ix86_FreeBSD.mak			\
	ix86_FreeBSD2.1.mak			\
	ix86_FreeBSD2.2.mak			\
	ix86_FreeBSD3.0.mak			\
	ix86_FreeBSD3.1.mak			\
	ix86_FreeBSD3.2.mak			\
	ix86_FreeBSD3.3.mak			\
	ix86_FreeBSD4.0.mak			\
	ix86_OS22.mak				\
	ix86_RedHatLinux4.0.mak			\
	ix86_RedHatLinux4.1.mak			\
	ix86_RedHatLinux4.2.mak			\
	ix86_RedHatLinux5.0.mak			\
	ix86_RedHatLinux5.1.mak			\
	ix86_RedHatLinux5.2.mak			\
	ix86_RedHatLinux6.0.mak			\
	ix86_RedHatLinux6.1.mak			\
	ix86_RedHatLinux6.2.mak			\
	ix86_RedHatLinux7.0.mak			\
	ix86_SunOS5.5.mak			\
	ix86_SunOS5.6.mak			\
	ix86_SunOS5.7.mak			\
	ix86_SunOS5.8.mak			\
	ix86_SunOS5.mak				\
	rs6000_AIX4.1.mak			\
	sparc_SunOS4.1.mak			\
	sparc_SunOS4.mak			\
	sparc_SunOS5.5.mak			\
	sparc_SunOS5.6.mak			\
	sparc_SunOS5.7.mak			\
	sparc_SunOS5.8.mak			\
	sparc_SunOS5.mak			\
	unknown_DebianGNULinux.mak		\
	unknown_Linux.mak			\
	unknown_RedHatLinux.mak			\
	power_macintosh_Darwin.mak		\
	unknown_unknown.mak				\
	x86_64_Darwin.mak			\
	

FILES = Makefile default.mak $(SYSTEMS) 

include $(TOP)/config/common_make_rules

=== src/include/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=src/include
H = festival.h \
    Phone.h intonation.h lexicon.h \
    text.h fngram.h modules.h ModuleDescription.h \
    module_support.h
FILES=Makefile $(H)

include $(TOP)/config/common_make_rules

=== src/main/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=src/main

SRCS = festival_main.cc audsp.cc festival_client.cc
OBJS = $(SRCS:.cc=.o)
FILES=Makefile $(SRCS)
LOCAL_CLEAN = $(ETCDIR)/audsp $(ETCDIR)/.made

ETCDIR=$(TOP)/lib/etc/$(SYSTEM_TYPE)

ALL_EXECS = festival  festival_client

ALL = $(ALL_EXECS) make_audiosp

include $(TOP)/config/common_make_rules
include $(EST)/config/rules/bin_process.mak

ETCDIR=$(TOP)/lib/etc/$(SYSTEM_TYPE)

festival: festival_main.o $(LIBDEPS)
	$(LINK_COMMAND) -o festival festival_main.o $(LIBS)

festival_client: festival_client.o $(REQUIRED_LIBDEPS)
	$(LINK_COMMAND) -o festival_client festival_client.o $(LIBS)

$(ETCDIR)/audsp: $(ETCDIR)/.made audsp.o $(LIBDEPS)
	$(LINK_COMMAND) -o $(ETCDIR)/audsp audsp.o $(LIBS)

# Can't just rely on the dir as it gets updated with new files
# check for the data of a file created in etcdir

make_audiosp: $(ETCDIR)/audsp
	@$(DO_NOTHING)

$(ETCDIR)/.made:
	@ if [ ! -d $(ETCDIR) ] ; \
          then mkdir -p $(ETCDIR); fi
	@ if [ ! -f $(ETCDIR)/.made ] ; \
          then touch $(ETCDIR)/.made ; fi

=== src/modules/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##   Automatically constructs init_modules.cc with each modules own      ##
##   initialization routines                                             ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=src/modules
CPPSRCS = 
BASE_DIRS = Lexicon base Duration Intonation Text \
            UniSyn donovan parser UniSyn_diphone
# these last four are potentially optional

LIB_BUILD_DIRS = $(BASE_DIRS)
BUILD_DIRS = $(LIB_BUILD_DIRS)
OPTIONAL = diphone clunits clustergen java rxp UniSyn_phonology MultiSyn hts_engine

ALL_DIRS = $(BASE_DIRS) $(OPTIONAL)

OBJS = init_modules.o 

LOCAL_CLEAN = init_modules.cc

LOCAL_INCLUDES = -I./Database

FILES = Makefile $(CPPSRCS) VCLocalRules

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib 

include $(TOP)/config/common_make_rules

# Builds a call to the int function in each sub-directory
#
#init_modules.cc: utilities Makefile $(TOP)/config/modincludes.inc
#	@ echo "Making init_modules.cc"
#	LD_LIBRARY_PATH='$(EST)/lib:$(LD_LIBRARY_PATH):$(SYSTEM_LD_LIBRARY_PATH)' utilities/find_inits $(LIB_BUILD_DIRS) $(EXTRA_LIB_BUILD_DIRS) > init_modules.cc


init_modules.cc: Makefile $(TOP)/config/modincludes.inc
	@ echo "Making init_modules.cc"
	@ rm -f init_modules.cc
	@ echo >init_modules.cc
	@ echo "/* This file is autogenerated by src/modules/Makefile */" >>init_modules.cc
	@ echo >>init_modules.cc
	@ echo "#include \"EST_unix.h\"" >>init_modules.cc
	@ echo "#include \"stdio.h\"" >>init_modules.cc
	@ echo "#include \"festival.h\"" >>init_modules.cc
	@ echo >>init_modules.cc
	@ for i in $(LIB_BUILD_DIRS) $(EXTRA_LIB_BUILD_DIRS) ; \
	do \
	if [ ! -f "$$i/NoInit" ] ; then \
	   echo "void festival_"$$i"_init(void);" ; \
	fi \
	done >> init_modules.cc
	@ echo >>init_modules.cc
	@ echo "void festival_init_modules(void)" >>init_modules.cc
	@ echo "{" >>init_modules.cc
	@ for i in $(LIB_BUILD_DIRS) $(EXTRA_LIB_BUILD_DIRS) ; \
	do \
	if [ ! -f "$$i/NoInit" ] ; then \
	   echo "   festival_"$$i"_init();" ; \
	fi \
	done >> init_modules.cc
	@ echo "}" >>init_modules.cc
	@ echo >>init_modules.cc

=== src/modules/MultiSyn/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                 (University of Edinburgh, UK) and                     ##
##                           Korin Richmond                              ##
##                         Copyright (c) 2002                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##                                                                       ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                                                                         #
#  Contains implementation of Generalis[ed/able] synthesis                #
#  (like unit selection)                                                  #
#                                                                         #
#  Author: Korin Richmond (korin@cstr.ed.ac.uk) Aug  2002                 #
###########################################################################
TOP=../../..
DIRNAME=src/modules/MultiSyn

LIB_BUILD_DIRS = inst_tmpl
BUILD_DIRS = $(LIB_BUILD_DIRS)

ALL_DIRS = $(BUILD_DIRS)

H = UnitSelection.h \
    VoiceBase.h DiphoneUnitVoice.h \
    VoiceModuleBase.h DiphoneVoiceModule.h \
    EST_TargetCost.h TargetCostRescoring.h \
    EST_JoinCost.h EST_JoinCostCache.h \
    DiphoneBackoff.h safety.h EST_DiphoneCoverage.h \
    EST_FlatTargetCost.h


SRCS =  UnitSelection.cc \
        VoiceBase.cc DiphoneUnitVoice.cc \
        VoiceModuleBase.cc DiphoneVoiceModule.cc \
        EST_TargetCost.cc TargetCostRescoring.cc \
        EST_JoinCost.cc EST_JoinCostCache.cc \
	DiphoneBackoff.cc EST_DiphoneCoverage.cc \
        EST_FlatTargetCost.cc

OBJS = $(SRCS:.cc=.o)

FILES = Makefile $(SRCS) $(H)

LOCAL_INCLUDES = -I../include

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== src/modules/clustergen/Makefile ===
###########################################################################
##                                                                       ##
##  ---------------------------------------------------------------      ##
##      The HMM-Based Speech Synthesis System (HTS): version 1.1b        ##
##                        HTS Working Group                              ##
##                                                                       ##
##                   Department of Computer Science                      ##
##                   Nagoya Institute of Technology                      ##
##                                and                                    ##
##    Interdisciplinary Graduate School of Science and Engineering       ##
##                   Tokyo Institute of Technology                       ##
##                      Copyright (c) 2001-2003                          ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and             ##
##  distribute this software and its documentation without               ##
##  restriction, including without limitation the rights to use,         ##
##  copy, modify, merge, publish, distribute, sublicense, and/or         ##
##  sell copies of this work, and to permit persons to whom this         ##
##  work is furnished to do so, subject to the following conditions:     ##
##                                                                       ##
##    1. The code must retain the above copyright notice, this list      ##
##       of conditions and the following disclaimer.                     ##
##                                                                       ##
##    2. Any modifications must be clearly marked as such.               ##
##                                                                       ##
##  NAGOYA INSTITUTE OF TECHNOLOGY, TOKYO INSITITUTE OF TECHNOLOGY,      ##
##  HTS WORKING GROUP, AND THE CONTRIBUTORS TO THIS WORK DISCLAIM        ##
##  ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL           ##
##  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT       ##
##  SHALL NAGOYA INSTITUTE OF TECHNOLOGY, TOKYO INSITITUTE OF            ##
##  TECHNOLOGY, HTS WORKING GROUP, NOR THE CONTRIBUTORS BE LIABLE        ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY            ##
##  DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,      ##
##  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTUOUS       ##
##  ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR              ##
##  PERFORMANCE OF THIS SOFTWARE.                                        ##
##                                                                       ##
###########################################################################
##  This directory contains some low level support for statitsical       ##
##  parametric speech synthesis, mostly take from Nagoya Institutes of   ##
##  Technologies HTS Engine (though often with significant modification  ##
##                                                                       ##
##  These are specifically designed to support the Clustergen synthesis  ##
##  technique.                                                           ##
##                                                                       ##
##  Alan W Black (awb@cs.cmu.edu)                                        ##
###########################################################################
TOP=../../..
DIRNAME=src/modules/clustergen

H = mlsa_resynthesis.h vc.h simple_mlpg.h
CPPSRCS = clustergen.cc mlsa_resynthesis.cc vc.cc simple_mlpg.cc me_mlsa.cc
SRCS = $(CPPSRCS)
OBJS = $(CPPSRCS:.cc=.o) 

FILES=Makefile $(SRCS) $(H)

LOCAL_INCLUDES = -I../include -DFESTIVAL

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== src/modules/donovan/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##  The code in this directory was developed by                          ##
##  Steve Isard and Alistair Conkie                                      ##
###########################################################################
TOP=../../..
DIRNAME=src/modules/donovan
H = t2s.h donovan.h
SRCSC = makewav.c load_diphs.c coeffs.c excitation.c pitch.c durations.c
SRCSCXX = donovan.cc
SRCS = $(SRCSC) $(SRCSCXX)

OBJS = $(SRCSC:.c=.o) $(SRCSCXX:.cc=.o) 

FILES = Makefile $(SRCS) $(H)

LOCAL_INCLUDES = -I../include

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== src/modules/hts_engine/Makefile ===
# ----------------------------------------------------------------- #
#           The HMM-Based Speech Synthesis System (HTS)             #
#           festopt_hts_engine developed by HTS Working Group       #
#           http://hts-engine.sourceforge.net/                      #
# ----------------------------------------------------------------- #
#                                                                   #
#  Copyright (c) 2001-2010  Nagoya Institute of Technology          #
#                           Department of Computer Science          #
#                                                                   #
#                2001-2008  Tokyo Institute of Technology           #
#                           Interdisciplinary Graduate School of    #
#                           Science and Engineering                 #
#                                                                   #
# All rights reserved.                                              #
#                                                                   #
# Redistribution and use in source and binary forms, with or        #
# without modification, are permitted provided that the following   #
# conditions are met:                                               #
#                                                                   #
# - Redistributions of source code must retain the above copyright  #
#   notice, this list of conditions and the following disclaimer.   #
# - Redistributions in binary form must reproduce the above         #
#   copyright notice, this list of conditions and the following     #
#   disclaimer in the documentation and/or other materials provided #
#   with the distribution.                                          #
# - Neither the name of the HTS working group nor the names of its  #
#   contributors may be used to endorse or promote products derived #
#   from this software without specific prior written permission.   #
#                                                                   #
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND            #
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,       #
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF          #
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE          #
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS #
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,          #
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED   #
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     #
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON #
# ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,   #
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY    #
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE           #
# POSSIBILITY OF SUCH DAMAGE.                                       #
# ----------------------------------------------------------------- #

TOP=../../..
DIRNAME=src/modules/hts_engine

H = HTS_engine.h HTS_hidden.h

CPPSRCS = fest2hts_engine.cc
CSRCS = HTS_audio.c HTS_engine.c HTS_gstream.c HTS_label.c HTS_misc.c HTS_model.c HTS_pstream.c HTS_sstream.c HTS_vocoder.c

SRCS = $(CPPSRCS) $(CSRCS)

OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)
INFOS = README COPYING INSTALL AUTHORS

FILES=Makefile $(SRCS) $(H) $(INFOS)

LOCAL_INCLUDES = -I ../include -D FESTIVAL

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== src/modules/java/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################

TOP=../../..
DIRNAME=src/modules/java

BUILD_DIRS = cstr
NEED_JAVA=1

FILES = Makefile java.mak java_cpp.mak java_media.mak jsapi.mak NoInit

ALL = .sub_directories .javalib

include $(TOP)/config/common_make_rules

=== debian/changelog ===
festival (1:2.1~release-6ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Drop file-rc as an alternative to sysv-rc, as Ubuntu
      doesn't support it.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 13 Jul 2013 23:42:32 -0400

festival (1:2.1~release-6) unstable; urgency=low

  [ Peter Drysdale ]
  * Do not build EsounD support as ESD is long deprecated by Gnome.

  [ Sergio Oller ]
  * Enable PulseAudio native support. Original implementation by
    Matthias Clasen. Depends on libestools-2.1 (>=1:2.1~release-6).
  * Enable ALSA native support.
  * Updated README.Debian to reflect the new audio module options and
    how to set them up.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:20:47 +0200

festival (1:2.1~release-5.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Drop file-rc as an alternative to sysv-rc, as Ubuntu
      doesn't support it.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 11 Jan 2013 02:10:49 -0500

festival (1:2.1~release-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: does not define DEB_HOST_MULTIARCH":
    set and export DEB_HOST_MULTIARCH in debian/rules, thanks to Ivo De Decker
    for the solution.
    Build-depend on dpkg-dev (>= 1.16.0) to ensure DEB_HOST_MULTIARCH is
    available.
    (Closes: #696507)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Jan 2013 00:50:19 +0100

festival (1:2.1~release-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Drop file-rc as an alternative to sysv-rc, as Ubuntu
      doesn't support it.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 06 Dec 2012 23:35:31 -0500

festival (1:2.1~release-5) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Peter Drysdale ]
  * Change config to point to new location of multiarch speech_tools
    during compile process. (Fixes FTBS with multiarch enabled speech_tools).
    Build-depend on the multiarch-enabled version of speech_tools.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:37:01 +0100

festival (1:2.1~release-4) unstable; urgency=low

  [ Jean-Philippe MENGUAL ]
  * Added a new build-dep with libaudiofile-dev. Closes: #657597

  [ Samuel Thibault ]
  * Add myself as uploader.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sat, 28 Jan 2012 23:27:39 +0100

festival (1:2.1~release-3) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/rules: Fix clean rule again.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sun, 08 Jan 2012 03:07:32 +0100

festival (1:2.1~release-2) unstable; urgency=low

  [ Peter Drysdale ]
  * Commits from Jean-Philippe incorporated in master
  * Fix spelling and hyphen lintian problems
  * Move to dh style packaging
  * Remove parts of redundant namespace patching and individually title
    patches. Gcc version patching no longer needed (Closes:  #592052)
  * Provide HTS compatibility module for HTS 2.1 voices (Closes: #589614)
  * General way of adding languages from Sergio Oller (Closes: #606173)
  * Include clustergen module which is on in 2.1 (Closes: #639648)
  * Add Peter Drysdale to uploaders

  [ Samuel Thibault ]
  * debian/rules: fix clean rules.
  * debian/control: depend on quilt.

  [ Jean-Philippe MENGUAL ]
  * New maintainer. Closes #601596
  * Bump Standards-Version to 3.9.2 (no change needed)
  * Fixed debian/patches/lib_festival.scm.diff (desplays replaced with displays)
 
 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Tue, 16 Aug 2011 02:18:09 +0200

festival (1:2.1~release-1ubuntu3) quantal; urgency=low

  * Cherry-pick from 1:2.1~release-5 to fix FTBFS:

  [ Peter Drysdale ]
  * Change config to point to new location of multiarch speech_tools
    during compile process. (Fixes FTBS with multiarch enabled speech_tools).
    Build-depend on the multiarch-enabled version of speech_tools.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 24 Sep 2012 20:00:04 +0200

festival (1:2.1~release-1ubuntu2) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 27 Jan 2012 13:00:35 +0100

festival (1:2.1~release-1ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable, remaining change:
    - debian/control: Drop file-rc as an alternative to
      sysv-rc as Ubuntu doesn't support it.

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 04 May 2011 20:54:27 +0200

festival (1:2.1~release-1) unstable; urgency=low

  * New upstream release
  * No longer depend on alsa-oss and oss-compat (Closes: #592411)
  * Add festival.scm for aplay setting
  * Build-Depend on speech-tools 2.1-release version

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 21:21:02 -0600

festival (1:2.0.95~beta-6) unstable; urgency=low

  * Add the multisyn directory to the installation. (Closes: #613682)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 10:14:57 -0600

festival (1:2.0.95~beta-5.1ubuntu2) natty; urgency=low

  * No longer depend on alsa-oss and oss-compat (LP: #612751)
  * Add festival.scm for default audio setting (LP: #662630, #209900)

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 02 Mar 2011 07:39:07 +0100

festival (1:2.0.95~beta-5.1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Drop file-rc as an alternative to
      sysv-rc as Ubuntu doesn't support it.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 11 Nov 2010 12:16:57 +0100

festival (1:2.0.95~beta-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix making ALSA backend default (Closes: #592442).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Nov 2010 18:23:43 +0100

festival (1:2.0.95~beta-5ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:


=== debian/control ===
Source: festival
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Uploaders: Kumar Appaiah <akumar@debian.org>,
 Jaldhar H. Vyas <jaldhar@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               libestools2.1-dev (>= 1:2.1~release-6),
               libncurses5-dev,
               texinfo,
               quilt,
               libaudiofile-dev,
               dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.4
Homepage: http://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: git://git.debian.org/git/tts/festival.git
Vcs-Browser: http://git.debian.org/?p=tts/festival.git

Package: festival
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         adduser (>= 3.105),
         alsa-utils [linux-any],
         lsb-base (>= 3.0-10),
         sysv-rc (>= 2.86.ds1)
Recommends: festvox-kallpc16k | festival-voice
Breaks: festvox-rablpc8k (<< 1.4.0-2),
           festvox-rablpc16k (<< 1.4.0-2),
           festvox-kdlpc16k (<< 1.4.0-4),
           festvox-kdlpc8k (<< 1.4.0-5),
           festvox-don (<< 1.4.0-3),
           festvox-ellpc11k (<< 1.4.0-1),
           festlex-cmu (<< 1.4.0-3),
           festlex-oald (<< 1.4.0-2),
           festlex-poslex (<< 1.4.0-3)
Suggests: pidgin-festival, festival-freebsoft-utils
Description: General multi-lingual speech synthesis system
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.

Package: festival-dev
Architecture: any
Depends: ${misc:Depends}, libestools2.1-dev (>= 1:2.1~release)
Suggests: festival-doc
Section: libdevel
Description: Development kit for the Festival speech synthesis system
 This package contains the static library and headers that can be used to
 develop programs that use Festival. Documentation is now contained in the
 separate festival-doc package.

=== debian/rules ===
#!/usr/bin/make -f

FT := $(shell pwd)/debian/festival
FDT := $(shell pwd)/debian/festival-dev

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

override_dh_auto_configure:
#Avoid conflicting with upstreams build system

override_dh_auto_test:
#Upstream states test is only for their local development not a functional test

override_dh_auto_build:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(MAKE)
	cd doc && $(MAKE) festival.info

override_dh_auto_clean:
	-QUILT_PATCHES=debian/patches quilt push config_config.diff
	[ ! -f Makefile ] || $(MAKE) clean

override_dh_clean:
	find . -name make.depend -print0 | xargs -0r $(RM)
	find . -name make.include -print0 | xargs -0r $(RM)
	find bin/ \( -name SCCS -o -name RCS -o -name CVS \) -prune \
	     -o -type f ! -name Makefile -print0 | xargs -0r $(RM)
	rm -rf doc/*.1 doc/festfeat.texi doc/festvars.texi doc/festfunc.texi \
	       doc/info src/modules/hts21_engine/*.o \
	       src/modules/hts21_engine/.buildlib_Festival
	rm -f config/modincludes.inc config/system.mak
	rm -f bin/festival*
	rm -f config.sub config.guess config.log config.status config.cache
	-rmdir src/modules/hts21_engine
	dh_clean

override_dh_installinit:
#Init script has BAD security Debian switches it off by default

override_dh_installchangelogs:
	dh_installchangelogs -a -k NEWS

override_dh_installdocs:
	dh_installdocs -a README ACKNOWLEDGMENTS

override_dh_installman:
	dh_installman -pfestival doc/festival.1 doc/festival_client.1 doc/text2wave.1

override_dh_installinfo:
	dh_installinfo -pfestival doc/info/festival.info*

override_dh_installexamples:
	dh_installexamples -pfestival examples/* -Xexamples/text2wave debian/festival.init debian/festival.scm

%:
	dh $@
#

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release/~release/" \
http://www.festvox.org/packed/festival/latest/festival-(.*)\.tar\.gz
